## qbs 1.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

## Add paths to check for cmake modules:
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(FeatureSummary)
include(QbsAPI)

file(STRINGS VERSION QBS_VERSION)
project(Qbs VERSION ${QBS_VERSION})

# Force C++ standard, do not fall back, do not use compiler extensions
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Set up Qt stuff:
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

option(WITH_TESTS "Build Tests" ON)
option(WITH_UNIT_TESTS "Build Unit Tests" OFF)
option(WITH_PROJECT_FILE_UPDATES "Enable project file updates support" OFF)
option(INSTALL_PUBLIC_HEADERS "Whether to install public headers" ON)
option(QBS_INSTALL_HTML_DOCS "Whether to install HTML Documentation" OFF)
option(QBS_INSTALL_QCH_DOCS "Whether to install QCH Documentation" OFF)

if(WITH_TESTS)
    enable_testing()
    set(QT_TEST_COMPONENT Test)
    set(IMPLICIT_DEPENDS Qt5::Test)
endif()

find_package(Qt5
    COMPONENTS Concurrent Core Gui Network Script Widgets Xml ${QT_TEST_COMPONENT}
    REQUIRED
    )

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(share)
if(WITH_TESTS)
    add_subdirectory(tests)
endif()

## qbs 1.3.3+dfsg

=== debian/changelog ===
qbs (1.3.3+dfsg-4) unstable; urgency=medium

  * Drop no longer needed chmod calls from debian/rules, thanks Jake
    Petroules for the suggestion.
  * Use qbs-config instead of modifying configuration files manually,
    thanks Jake Petroules for the suggestion.
  * Mark some destructors symbols as optional to fix build with GCC 5
    (closes: #778082).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 18 Feb 2015 10:11:29 +0300

qbs (1.3.3+dfsg-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Add ${misc:Pre-Depends} to Pre-Depends for qbs, libqbscore1, and
    libqbsqtprofilesetup1.

  [ Adam Majer ]
  * Remove rpath from project include files used by 3rd party
    software. On Debian, rpath should not be set when referencing
    system installed libraries.

  [ Dmitry Shachnev ]
  * Add increase_timeout.diff from Dejan Latinovic to make tests pass
    on mips (closes: #774974).
  * Update debian/watch for new downloads server name.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 09 Jan 2015 19:46:15 +0300

qbs (1.3.3+dfsg-2) unstable; urgency=medium

  * Re-add skip_test.diff, seems to be still needed.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Dec 2014 20:31:27 +0300

qbs (1.3.3+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop no_gnu_hash.diff, applied upstream.
  * Drop skip_test.diff, no longer needed.
  * Add support for all MIPS flavors (closes: #767459).
  * Bump Breaks/Replaces on qtcreator, it is not fixed in Jessie.
  * Update debian/libqbscore1.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Dec 2014 17:44:26 +0300

qbs (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Add alpha, hppa and sparc64 support (closes: #764556).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 20 Oct 2014 16:53:29 +0400

qbs (1.3.1+dfsg-4) unstable; urgency=medium

  * Add upstream patch to not hardcode the linker hash style.
  * Add arm64 support.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 Oct 2014 21:29:30 +0400

qbs (1.3.1+dfsg-3) unstable; urgency=medium

  * Replace previous cleanup patch with a new patch that
    disables the broken test.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 08 Oct 2014 19:29:24 +0400

qbs (1.3.1+dfsg-2) unstable; urgency=medium

  * Enable disable_rpath and qbs_enable_project_file_updates
    configuration flags, thanks Adam Majer for the patch.
  * Add 4 new symbols introduced by the previous change.
  * Add a patch to correctly detect endianness of all supported
    by Debian architectures.
  * Add a patch to clean up before running dependenciesProperty
    test (should make it passing).
  * Add lib/ to LD_LIBRARY_PATH when running tests (should fix
    build failures on kfreebsd and hurd).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 07 Oct 2014 10:41:59 +0400

qbs (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + Update .install files.
    + Update libqbscore1.symbols. There are missing symbols, but
      we ignore that as the package has never been in testing.
  * Break/Replace qtcreator (<< 3.2.1+dfsg-4~) (closes: #763365).
  * Fix build failure when multiple compilers are installed.
  * Properly clean up after tests.
  * Update my e-mail address.
  * debian/watch: Use new repacksuffix option.
  * Update Vcs-Browser field to point to cgit interface.
  * debian/copyright: Use correct exception syntax.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 04 Oct 2014 10:21:08 +0400

qbs (1.2.2+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #745095).

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 26 Jul 2014 23:28:44 +0400

=== debian/control ===
Source: qbs
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 9),
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtscript5-dev
Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools
Standards-Version: 3.9.6
Homepage: http://qt-project.org/wiki/QBS
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qbs.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qbs.git

Package: qbs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qtcreator (<< 3.2.1+dfsg-8~)
Replaces: qtcreator (<< 3.2.1+dfsg-8~)
Description: Qt Build Suite
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Build Suite, a cross-platform build tool.

Package: libqbscore1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Build Suite core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Build Suite core shared library.

Package: libqbsqtprofilesetup1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Build Suite profile setup library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Build Suite profile setup shared library.

Package: qbs-dev
Architecture: any
Section: libdevel
Depends: libqbscore1 (= ${binary:Version}),
         libqbsqtprofilesetup1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt Build Suite development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains headers and development files for Qt Build Suite.

Package: qbs-dbg
Priority: extra
Architecture: any
Section: debug
Depends: qbs (= ${binary:Version}), ${misc:Depends}
Description: Qt Build Suite debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt Build Suite.

Package: qbs-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt Build Suite examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the example source projects for the Qt Build Suite.

Package: qbs-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt Build Suite documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt Build Suite.

Package: qbs-doc-html
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt Build Suite HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt Build Suite.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CONFIG_DIR = $(CURDIR)/debian/config

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5
export XDG_CONFIG_HOME := $(CONFIG_DIR)

%:
	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qbs-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -rfv doc/html $(CONFIG_DIR) tests/auto/*/testWorkDir
	rm -fv doc/qbs.qch bin/qbs* bin/tst*

override_dh_auto_configure:
	qmake qbs.pro \
		CONFIG+=debug \
		CONFIG+=disable_rpath \
		CONFIG+=qbs_enable_project_file_updates \
		QMAKE_CFLAGS+="${CFLAGS} ${CPPFLAGS}" \
		QMAKE_CXXFLAGS+="${CXXFLAGS} ${CPPFLAGS}" \
		QMAKE_LFLAGS+="${LDFLAGS}" \
		QBS_INSTALL_PREFIX=/usr

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

	# Remove empty directories
	rmdir $(CURDIR)/debian/tmp/usr/share/doc/qbs/html/images/used-in-examples/
	rmdir $(CURDIR)/debian/tmp/usr/share/doc/qbs/html/scripts/

override_dh_auto_install-arch:
	dh_auto_install

	# Move libraries to Multi-Arch locations
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv $(CURDIR)/debian/tmp/usr/lib/*.so* $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	mv $(CURDIR)/debian/tmp/usr/lib/qbs $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_auto_test:
	mkdir -p $(CONFIG_DIR)/QtProject
	set -ex; \
		export LD_LIBRARY_PATH=$(CURDIR)/lib/:$$LD_LIBRARY_PATH; \
		$(CURDIR)/bin/qbs-setup-toolchains --detect --settings-dir $(CONFIG_DIR)/QtProject; \
		$(CURDIR)/bin/qbs-setup-qt /usr/bin/qmake qbs_autotests; \
		[ -n "`$(CURDIR)/bin/qbs-config --settings-dir $(CONFIG_DIR)/QtProject --list profiles.qbs_autotests.baseProfile`" ] || \
			$(CURDIR)/bin/qbs-config --settings-dir $(CONFIG_DIR)/QtProject profiles.qbs_autotests.baseProfile gcc; \
		dh_auto_test

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg \
https://download.qt.io/official_releases/qbs/([\d\.]*)/qbs-([^-]*)\.src\.tar\.gz

## qbs 1.4.2+dfsg

=== debian/changelog ===
qbs (1.4.2+dfsg-3) unstable; urgency=medium

  * Use QBS_LIBRARY_DIRNAME to specify library dir (closes: #797774).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Sep 2015 10:24:02 +0300

qbs (1.4.2+dfsg-2) unstable; urgency=medium

  * Backport upstream change that should hopefully fix tests failures
    on most architectures (dont_throw_exceptions.diff).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Aug 2015 16:57:58 +0300

qbs (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches:
    - fix_assembly_test.diff (applied upstream)
    - revert_tests_speedup.diff (applied upstream)
    - skip_test.diff (no longer needed)
  * Refresh and rebase other patches.
  * Update qbs.install to install some new files.
  * Remove gitignore files in clean target.
  * Minor debian/copyright updates.
  * Update libqbscore1.symbols (only internal symbols changed).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Aug 2015 18:49:24 +0300

qbs (1.4.1+dfsg-8) unstable; urgency=medium

  * Tell qmake where to install libraries and plugins, rather than moving
    them after installing (LP: #1456593).
  * Remove lib/ directory in clean target.
  * Update symbols files for GCC 5, fixing a build failure.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 12 Aug 2015 20:55:48 +0300

qbs (1.4.1+dfsg-7) unstable; urgency=medium

  * Skip homeDirectory test because buildds do not have home directory
    (skip_test_homedirectory.diff).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Jul 2015 21:18:43 +0300

qbs (1.4.1+dfsg-6) unstable; urgency=medium

  * Simplify testing commands: no need to pass --settings-dir because
    we export XDG_CONFIG_HOME anyway.
  * Define qbs_enable_unit_tests to enable some additional tests.
    - Add some new symbols that appeared after enabling it.
  * Move tests whitelist logic to auto.pro, so that non-API tests are
    still run on non-whitelisted architectures.
  * Talk to FreeBSD kernel manually instead of using kinfo_getproc,
    which is not available on GNU/kFreeBSD.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Jul 2015 19:38:23 +0300

qbs (1.4.1+dfsg-5) experimental; urgency=medium

  * Fixup the previous kFreeBSD fix; add B-D on libutil-freebsd-dev.
  * Use a whitelist of architectures where we run tests, until QBS
    gets ported away from QtScript.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jul 2015 13:20:21 +0300

qbs (1.4.1+dfsg-4) experimental; urgency=medium

  * Add missing includes for kinfo_getproc(3) on kFreeBSD
    (bsd_includes.diff).
  * Disable one more test (infinite-loop-js) failing because of QtScript
    bugs to make the build pass on powerpc. Rename the patch from
    disable_moc_hpp_included.diff to disable_tests_qtscript.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 12 Jul 2015 17:08:33 +0300

qbs (1.4.1+dfsg-3) experimental; urgency=medium

  * Backport upstream change to run testAssembly only on architectures
    where it is supported (fix_assembly_test.diff).
  * Replace revert_tests_speedup.diff with proposed upstream version
    by Christian Kandeler.
  * Disable moc-hpp-included test which currently fails because of a bug
    in QtScript on some architectures (disable_moc_hpp_included.diff).
  * Update some URLs to use *.qt.io instead of *.qt-project.org.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 11 Jul 2015 19:57:05 +0300

qbs (1.4.1+dfsg-2) experimental; urgency=medium

  * Version all symbols from 1.4 snapshots as 1.4.0.
  * Revert upstream commit that may have caused tests to fail.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 08 Jul 2015 14:00:20 +0300

qbs (1.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for new tarball naming scheme.
  * Refresh debian/patches/skip_test.diff.
  * Install new tools/commandechomode.h header in qbs-dev.
  * Update debian/libqbscore1.symbols for the new version.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 Jul 2015 17:33:05 +0300

qbs (1.4~git20150407-c224c8-1) experimental; urgency=medium

  * New upstream snapshot.
  * Fix a typo in previous changelog entry.
  * Sort debian/qbs.install.
  * Clean up patches and bump Last-Update timestamps.
  * Update name of qbs_disable_rpath variable, following upstream
    change (commit a8e6324de460745a).
  * Update libqbscore1.symbols for the new snapshot.
  * Properly version symbols introduced in previous upload.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 10 Apr 2015 09:33:46 +0300

qbs (1.4~7fd456-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Sort debian/qbs.install.
  * Update debian/libqbscore1.symbols from buildds’ logs.

  [ Adam Majer ]
  * Release snapshot of 1.4.x branch as of 7fd456 commit
    + endianness patch applied upstream, removed from patches
  * Add myself to uploaders

 -- Adam Majer <adamm@zombino.com>  Thu, 12 Mar 2015 18:55:22 -0500

qbs (1.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop increase_timeout.diff, applied upstream.
  * Replace endianness.diff with upstream patch.
  * Update copyright information.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Mar 2015 20:54:30 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Adam Majer <adamm@zombino.com>
 Build-Depends: debhelper (>= 9),
                pkg-kde-tools,
                qtbase5-dev,
@@ -11,7 +12,7 @@
                qtscript5-dev
 Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools
 Standards-Version: 3.9.6
-Homepage: http://qt-project.org/wiki/QBS
+Homepage: http://wiki.qt.io/Qt_Build_Suite
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qbs.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qbs.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CONFIG_DIR = $(CURDIR)/debian/config

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qbs-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -rfv doc/html $(CONFIG_DIR) tests/auto/*/testWorkDir lib
	rm -fv doc/qbs.qch bin/qbs* bin/tst*
	find . -type f -name .gitignore -delete -print

override_dh_auto_configure:
	qmake qbs.pro \
		CONFIG+=debug \
		CONFIG+=qbs_disable_rpath \
		CONFIG+=qbs_enable_project_file_updates \
		CONFIG+=qbs_enable_unit_tests \
		QMAKE_CFLAGS+="${CFLAGS} ${CPPFLAGS}" \
		QMAKE_CXXFLAGS+="${CXXFLAGS} ${CPPFLAGS}" \
		QMAKE_LFLAGS+="${LDFLAGS}" \
		QBS_INSTALL_PREFIX=/usr \
		QBS_LIBRARY_DIRNAME=lib/${DEB_HOST_MULTIARCH}

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

	# Remove empty directories
	rmdir $(CURDIR)/debian/tmp/usr/share/doc/qbs/html/images/used-in-examples/
	rmdir $(CURDIR)/debian/tmp/usr/share/doc/qbs/html/scripts/

override_dh_auto_test:
	mkdir -p $(CONFIG_DIR)/QtProject
	set -ex; \
		export LD_LIBRARY_PATH=$(CURDIR)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
		export XDG_CONFIG_HOME=$(CONFIG_DIR); \
		$(CURDIR)/bin/qbs-setup-toolchains --detect; \
		$(CURDIR)/bin/qbs-setup-qt /usr/bin/qmake qbs_autotests; \
		[ -n "`$(CURDIR)/bin/qbs-config --list profiles.qbs_autotests.baseProfile`" ] || \
			$(CURDIR)/bin/qbs-config profiles.qbs_autotests.baseProfile gcc; \
		dh_auto_test

override_dh_install:
	dh_install --fail-missing

## qbs 1.4.5%2Bdfsg

=== debian/changelog ===
qbs (1.4.5+dfsg-2) unstable; urgency=medium

  * Skip new TestBlackbox::concurrentExecutor() test which hangs on all
    non-x86 architectures.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 31 Mar 2016 19:29:35 +0200

qbs (1.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use recommended https URIs for Vcs fields.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Migrate to automatic dbgsym packages.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 17 Mar 2016 18:50:14 +0100

qbs (1.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 19 Dec 2015 13:46:01 +0300

qbs (1.4.3+dfsg-3) unstable; urgency=medium

  * Update debian/libqbscore1.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Nov 2015 09:41:32 +0300

qbs (1.4.3+dfsg-2) unstable; urgency=medium

  * Do not try to run tests during arch-indep builds.
  * Split files in /usr/share into new qbs-common package.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Oct 2015 11:22:24 +0300

qbs (1.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop dont_throw_exceptions.diff, applied upstream.
  * Refresh skip_test_homedirectory.diff.
  * Update debian/libqbscore1.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2015 16:27:50 +0300

## qbs 1.4.5+dfsg

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Adam Majer <adamm@zombino.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160114~),
                pkg-kde-tools,
                qtbase5-dev,
                qtdeclarative5-dev,
                qtscript5-dev
 Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://wiki.qt.io/Qt_Build_Suite
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qbs.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qbs.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qbs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qbs.git
 
 Package: qbs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: qbs-common, ${misc:Depends}, ${shlibs:Depends}
 Breaks: qtcreator (<< 3.2.1+dfsg-8~)
 Replaces: qtcreator (<< 3.2.1+dfsg-8~)
 Description: Qt Build Suite
@@ -27,6 +27,17 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains Qt Build Suite, a cross-platform build tool.
+
+Package: qbs-common
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: qbs (<< 1.4.3+dfsg-2~)
+Replaces: qbs (<< 1.4.3+dfsg-2~)
+Description: Qt Build Suite static files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains Qt Build Suite shared static files.
 
 Package: libqbscore1
 Architecture: any
@@ -63,17 +74,6 @@
  .
  This package contains headers and development files for Qt Build Suite.
 
-Package: qbs-dbg
-Priority: extra
-Architecture: any
-Section: debug
-Depends: qbs (= ${binary:Version}), ${misc:Depends}
-Description: Qt Build Suite debugging symbols
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the debugging symbols for the Qt Build Suite.
-
 Package: qbs-examples
 Architecture: all
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qbs-dbg
+	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -37,12 +37,13 @@
 
 override_dh_auto_install-indep:
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
+	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp sub-static-pro-install_subtargets
 
 	# Remove empty directories
 	rmdir $(CURDIR)/debian/tmp/usr/share/doc/qbs/html/images/used-in-examples/
 	rmdir $(CURDIR)/debian/tmp/usr/share/doc/qbs/html/scripts/
 
-override_dh_auto_test:
+override_dh_auto_test-arch:
 	mkdir -p $(CONFIG_DIR)/QtProject
 	set -ex; \
 		export LD_LIBRARY_PATH=$(CURDIR)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
@@ -53,5 +54,10 @@
 			$(CURDIR)/bin/qbs-config profiles.qbs_autotests.baseProfile gcc; \
 		dh_auto_test
 
+override_dh_auto_test-indep:
+
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='qbs-dbg (<< 1.4.5+dfsg-1~)'

## qbs 1.5.2+dfsg

=== debian/changelog ===
qbs (1.5.2+dfsg-1) unstable; urgency=medium

  [ Adam Majer ]
  * Remove /usr/include from INCLUDEPATH list of installed
    .pri file. Adding this default included path causes FTBFS
    for software using qbs with GCC 6 (fix_ftbfs_gcc6.diff)
    (closes: #831182)

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop kfreebsd.diff, a similar patch was applied upstream.
  * Avoid using the Qt Build Suite term, following upstream.

 -- Adam Majer <adamm@zombino.com>  Tue, 02 Aug 2016 00:04:16 +0200

qbs (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh skip_test_concurrent.diff.
  * Drop the rules to remove empty directories in documentation, qdoc no
    longer creates them (since Qt 5.6.1).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Jun 2016 12:11:44 +0300

qbs (1.5.0+dfsg-2) unstable; urgency=medium

  * Build-depend on qttools5-dev-tools to prevent a test failure.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 May 2016 09:33:19 +0300

qbs (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Set LC_ALL=C.UTF-8 when running tests, as according to upstream the
    testsuite assumes English locale.
  * Refresh patches against the new release.
  * Update debian/qbs-common.install.
  * Update debian/libqbscore1.symbols from amd64 build log.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 May 2016 22:05:38 +0300

=== debian/control ===
Source: qbs
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Adam Majer <adamm@zombino.com>
Build-Depends: debhelper (>= 9.20160114~),
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtscript5-dev,
               qttools5-dev-tools
Build-Depends-Indep: libqt5sql5-sqlite
Standards-Version: 3.9.8
Homepage: https://wiki.qt.io/Qbs
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qbs.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qbs.git

Package: qbs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common, ${misc:Depends}, ${shlibs:Depends}
Breaks: qtcreator (<< 3.2.1+dfsg-8~)
Replaces: qtcreator (<< 3.2.1+dfsg-8~)
Description: Qbs build tool
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qbs, a cross-platform build tool.

Package: qbs-common
Architecture: all
Depends: ${misc:Depends}
Breaks: qbs (<< 1.4.3+dfsg-2~)
Replaces: qbs (<< 1.4.3+dfsg-2~)
Description: Qbs static files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qbs shared static files.

Package: libqbscore1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qbs core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qbs core shared library.

Package: libqbsqtprofilesetup1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qbs profile setup library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qbs profile setup shared library.

Package: qbs-dev
Architecture: any
Section: libdevel
Depends: libqbscore1 (= ${binary:Version}),
         libqbsqtprofilesetup1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qbs development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains headers and development files for Qbs.

Package: qbs-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qbs examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the example source projects for Qbs.

Package: qbs-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qbs documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qbs.

Package: qbs-doc-html
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qbs HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qbs.

=== debian/rules ===
--- 
+++ 
@@ -39,10 +39,6 @@
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp sub-static-pro-install_subtargets
 
-	# Remove empty directories
-	rmdir $(CURDIR)/debian/tmp/usr/share/doc/qbs/html/images/used-in-examples/
-	rmdir $(CURDIR)/debian/tmp/usr/share/doc/qbs/html/scripts/
-
 override_dh_auto_test-arch:
 	mkdir -p $(CONFIG_DIR)/QtProject
 	set -ex; \
@@ -52,7 +48,7 @@
 		$(CURDIR)/bin/qbs-setup-qt /usr/bin/qmake qbs_autotests; \
 		[ -n "`$(CURDIR)/bin/qbs-config --list profiles.qbs_autotests.baseProfile`" ] || \
 			$(CURDIR)/bin/qbs-config profiles.qbs_autotests.baseProfile gcc; \
-		dh_auto_test
+		LC_ALL=C.UTF-8 dh_auto_test
 
 override_dh_auto_test-indep:

## qbs 1.7.0+dfsg

=== debian/changelog ===
qbs (1.7.0+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to make documentation install dir configurable
    (qmake_documentation.diff).
  * Install the documentation into correct location (closes: #795829).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Jan 2017 12:01:02 +0300

qbs (1.7.0+dfsg-3) unstable; urgency=medium

  * Fix the arch:all build by passing -f to rm command.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Jan 2017 22:06:30 +0300

qbs (1.7.0+dfsg-2) unstable; urgency=medium

  * Drop ${shlibs:Depends} from qbs-dev, it does not have any binary code.
  * Update debian/copyright.
  * Fix race condition which breaks parallel builds (fix_race_condition.diff).
  * Do not install the libqbscore.so.1 symlink (closes: #850035).
  * Use the same SONAME scheme on kfreebsd as on Linux (kfreebsd_soname.diff).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Jan 2017 21:24:09 +0300

qbs (1.7.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh and rebase the patches for the new release.
  * Add three new files to debian/qbs-common.install.
  * Update symbols files from the current amd64 build log.
  * Rename the library packages according to upstream SONAME change:
    - libqbscore1 → libqbscore1.7;
    - libqbsqtprofilesetup1 → libqbsqtprofilesetup1.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 23 Dec 2016 11:22:04 +0300

qbs (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh skip_test_concurrent.diff.
  * Update debian/libqbscore1.symbols from buildds’ logs.
  * Fix description-synopsis-starts-with-article Lintian warning.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 13 Nov 2016 19:25:30 +0300

qbs (1.6.0+dfsg-2) unstable; urgency=medium

  * Update debian/libqbscore1.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 07 Sep 2016 12:04:38 +0300

qbs (1.6.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Set $HOME to a temporary location when running tests.
  * Drop skip_test_homedirectory.diff, no longer needed.
  * Refresh other patches.
  * Update install files for the new release.
  * Update debian/libqbscore1.symbols from amd64 and i386 build logs.
  * Fix two Lintian errors about package descriptions.
  * Bump required Qt version to 5.4.0, following upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 03 Sep 2016 14:43:46 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Adam Majer <adamm@zombino.com>
 Build-Depends: debhelper (>= 9.20160114~),
                pkg-kde-tools,
-               qtbase5-dev,
+               qtbase5-dev (>= 5.4.0),
                qtdeclarative5-dev,
                qtscript5-dev,
                qttools5-dev-tools
@@ -23,7 +23,7 @@
 Depends: qbs-common, ${misc:Depends}, ${shlibs:Depends}
 Breaks: qtcreator (<< 3.2.1+dfsg-8~)
 Replaces: qtcreator (<< 3.2.1+dfsg-8~)
-Description: Qbs build tool
+Description: cross-platform build tool from Qt
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
@@ -40,7 +40,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore1
+Package: libqbscore1.7
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -51,7 +51,7 @@
  .
  This package contains Qbs core shared library.
 
-Package: libqbsqtprofilesetup1
+Package: libqbsqtprofilesetup1.7
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -65,10 +65,9 @@
 Package: qbs-dev
 Architecture: any
 Section: libdevel
-Depends: libqbscore1 (= ${binary:Version}),
-         libqbsqtprofilesetup1 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libqbscore1.7 (= ${binary:Version}),
+         libqbsqtprofilesetup1.7 (= ${binary:Version}),
+         ${misc:Depends}
 Description: Qbs development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -79,7 +78,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Description: Qbs examples
+Description: examples for Qbs build tool
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,20 @@
 #export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-CONFIG_DIR = $(CURDIR)/debian/config
+TMP_HOME_DIR = $(CURDIR)/debian/home
 
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 export QT_SELECT := qt5
+QT_INSTALL_DOCS := $(shell qmake -query QT_INSTALL_DOCS)
 
 %:
 	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rfv doc/html $(CONFIG_DIR) tests/auto/*/testWorkDir lib
+	rm -rfv doc/html $(TMP_HOME_DIR) tests/auto/*/testWorkDir lib
 	rm -fv doc/qbs.qch bin/qbs* bin/tst*
 	find . -type f -name .gitignore -delete -print
 
@@ -30,6 +31,7 @@
 		QMAKE_CXXFLAGS+="${CXXFLAGS} ${CPPFLAGS}" \
 		QMAKE_LFLAGS+="${LDFLAGS}" \
 		QBS_INSTALL_PREFIX=/usr \
+		QBS_DOCS_INSTALL_DIR=${QT_INSTALL_DOCS} \
 		QBS_LIBRARY_DIRNAME=lib/${DEB_HOST_MULTIARCH}
 
 override_dh_auto_build-indep:
@@ -38,12 +40,12 @@
 override_dh_auto_install-indep:
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp sub-static-pro-install_subtargets
+	cd debian/tmp${QT_INSTALL_DOCS} && mv html qbs
 
 override_dh_auto_test-arch:
-	mkdir -p $(CONFIG_DIR)/QtProject
 	set -ex; \
 		export LD_LIBRARY_PATH=$(CURDIR)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
-		export XDG_CONFIG_HOME=$(CONFIG_DIR); \
+		export HOME=$(TMP_HOME_DIR); \
 		$(CURDIR)/bin/qbs-setup-toolchains --detect; \
 		$(CURDIR)/bin/qbs-setup-qt /usr/bin/qmake qbs_autotests; \
 		[ -n "`$(CURDIR)/bin/qbs-config --list profiles.qbs_autotests.baseProfile`" ] || \
@@ -53,6 +55,8 @@
 override_dh_auto_test-indep:
 
 override_dh_install:
+	rm -fv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libqbscore.so.1
+	rm -fv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libqbsqtprofilesetup.so.1
 	dh_install --fail-missing
 
 override_dh_strip:

## qbs 1.8.1+dfsg

=== debian/changelog ===
qbs (1.8.1+dfsg-4) unstable; urgency=medium

  * Make libqbscore1.8 depend on qbs-common (closes: #875434).
  * Update debian/libqbscore1.8.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 Sep 2017 15:46:40 +0300

qbs (1.8.1+dfsg-3) unstable; urgency=medium

  * Make sure qbs tries to find qbs_processlauncher in correct place, by
    specifying QBS_RELATIVE_LIBEXEC_PATH (closes: #869909).
  * Update symbols files for GCC 7.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Aug 2017 17:18:32 +0300

qbs (1.8.1+dfsg-2) unstable; urgency=medium

  * Install missing tools/version.h header to fix QtCreator build.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 10 Jul 2017 13:27:31 +0300

qbs (1.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Update Standards-version to 4.0.0, no changes needed.
  * Bump debhelper compat to 10.
  * Fix doc-base-file-references-missing-file by correcting path in qbs-
    doc-html.doc-base.
  * Upload to unstable.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Jul 2017 04:08:07 -0500

qbs (1.8.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop qmake_documentation.diff, applied upstream.
  * Refresh kfreebsd_soname.diff and skip_test_concurrent.diff.
  * Bump qtbase5-dev build-dependency to 5.6.0, following upstream.
  * Improve package descriptions, thanks Joerg Bornemann (closes: #863874).
  * Update debian/copyright.
  * Update docs installation code for the new release.
  * Update install files for the new release.
  * Rename the library packages according to upstream SONAME change:
    - libqbscore1.7 → libqbscore1.8;
    - libqbsqtprofilesetup1.7 → libqbsqtprofilesetup1.8.
  * Update the symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Jun 2017 13:58:02 +0300

qbs (1.7.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop skip_test_concurrent.diff, applied upstream.
  * Update debian/copyright.
  * Update debian/libqbscore1.7.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 May 2017 12:39:34 +0300

=== debian/control ===
Source: qbs
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Adam Majer <adamm@zombino.com>,
           Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper (>= 10),
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.0),
               qtdeclarative5-dev,
               qtscript5-dev,
               qttools5-dev-tools
Build-Depends-Indep: libqt5sql5-sqlite
Standards-Version: 4.0.0
Homepage: https://wiki.qt.io/Qbs
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qbs.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qbs.git

Package: qbs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: qtcreator (<< 3.2.1+dfsg-8~)
Replaces: qtcreator (<< 3.2.1+dfsg-8~)
Description: cross-platform build tool
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.

Package: qbs-common
Architecture: all
Depends: ${misc:Depends}
Breaks: qbs (<< 1.4.3+dfsg-2~)
Replaces: qbs (<< 1.4.3+dfsg-2~)
Description: Qbs static files
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs shared static files.

Package: libqbscore1.8
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Qbs core library
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs core shared library.

Package: libqbsqtprofilesetup1.8
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qbs profile setup library
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs profile setup shared library.

Package: qbs-dev
Architecture: any
Section: libdevel
Depends: libqbscore1.8 (= ${binary:Version}),
         libqbsqtprofilesetup1.8 (= ${binary:Version}),
         ${misc:Depends}
Description: Qbs development files
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains headers and development files for Qbs.

Package: qbs-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: examples for Qbs build tool
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the example source projects for Qbs.

Package: qbs-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qbs documentation
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the documentation for Qbs in QCH format, which can be
 viewed using Qt Assistant from qttools5-dev-tools package.

Package: qbs-doc-html
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qbs HTML documentation
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the HTML documentation for Qbs.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 export QT_SELECT := qt5
-QT_INSTALL_DOCS := $(shell qmake -query QT_INSTALL_DOCS)
 
 %:
 	dh $@ --parallel --with pkgkde_symbolshelper
@@ -31,16 +30,17 @@
 		QMAKE_CXXFLAGS+="${CXXFLAGS} ${CPPFLAGS}" \
 		QMAKE_LFLAGS+="${LDFLAGS}" \
 		QBS_INSTALL_PREFIX=/usr \
-		QBS_DOCS_INSTALL_DIR=${QT_INSTALL_DOCS} \
+		QBS_LIBEXEC_INSTALL_DIR=/usr/lib/${DEB_HOST_MULTIARCH}/qbs \
+		QBS_LIBEXEC_DESTDIR=../../../lib/${DEB_HOST_MULTIARCH}/qbs \
+		QBS_RELATIVE_LIBEXEC_PATH=../lib/${DEB_HOST_MULTIARCH}/qbs \
 		QBS_LIBRARY_DIRNAME=lib/${DEB_HOST_MULTIARCH}
 
 override_dh_auto_build-indep:
 	dh_auto_build -- docs
 
 override_dh_auto_install-indep:
-	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
+	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_inst_html_docs
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp sub-static-pro-install_subtargets
-	cd debian/tmp${QT_INSTALL_DOCS} && mv html qbs
 
 override_dh_auto_test-arch:
 	set -ex; \

## qbs 1.10.1%2Bdfsg

=== debian/changelog ===
qbs (1.10.1+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Properly support DEB_BUILD_OPTIONS=nocheck (closes: #886656). Thanks to
    Helmut Grohne.

  [ Simon Quigley ]
  * New upstream release.
  * Bump Standards-version to 4.1.3, no changes needed.
  * Bump debhelper compat to 11:
    - Remove --parallel from debian/rules because it is already used by default.
    - No other changes were required.
  * Update Vcs-* to reflect the move to Salsa.
  * Follow the hints given by the multiarch hinter.
  * Update qbs-common.install for the new upstream release.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 15 Mar 2018 18:05:03 -0500

qbs (1.10.0+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 22 Dec 2017 22:12:20 +0300

qbs (1.10.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop install_missing_header.diff, it was coming from upstream.
  * Refresh and rebase other patches.
  * Install upstream changelog.
  * Update install files for the new release.
  * Rename the library packages according to upstream SONAME change.
  * Export QBS_AUTOTEST_PROFILE=qbs_autotests when running the tests.
  * Build-depend on qtdeclarative5-private-dev, for Qt.quick module.
  * Update symbols files for the new release.
  * Use dh_missing instead of deprecated dh_install --fail-missing.
  * Use dh_auto_configure provided by debhelper.
  * Update debian/copyright.
  * Do not install dmgbuild Python code, it is only working on macOS.
  * Fix Abstract field in qbs-doc-html.doc-base.
  * Bump Standards-Version to 4.1.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 19 Dec 2017 21:26:01 +0300
